Name: linuxmuster-printer
Summary: Linux-Musterloesung printer configuration script
BuildArch: noarch
Version: 0.1
Release: 1
License: GPL
Group: system
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: fschuett
Distribution: openSuSE Linux
Url: http://www.gymnasium-himmelsthuer.de
Requires: linuxmuster-client samba-client
Provides: linuxmuster-printer
Vendor: fschuett

%description
Linux-Musterloesung printer configuration script
This package provides scripts to install/delete/update
printer installation on a linux client connected to
a Linux-Musterloesung server.

%prep
%setup -n linuxmuster-printer

%build
# nichts zu tun

%install
install -D -o root -g root -m 755 %{_builddir}/%{name}/linuxmuster-printer %{buildroot}/etc/init.d/linuxmuster-printer

%post
insserv linuxmuster-printer

%preun
if [ $1 -gt 0 ]; then
    exit 0;
fi
insserv -r linuxmuster-printer

%files
%defattr(-,root,root,0755)
/etc/init.d/linuxmuster-printer

%changelog
* Sat Sep 24 2011 <fschuett@gymnasium-himmelsthuer.de>
- initial revision
- removed echo lines
